Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis.filter
Class FrenchStandardFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              fr.gouv.culture.sdx.search.lucene.analysis.filter.FrenchStandardFilter

All Implemented Interfaces:
  org.apache.avalon.framework.logger.LogEnabled, org.apache.lucene.analysis.standard.StandardTokenizerConstants

    public class FrenchStandardFilter

extends org.apache.lucene.analysis.TokenFilter
implements org.apache.lucene.analysis.standard.StandardTokenizerConstants, org.apache.avalon.framework.logger.LogEnabled

A filter for special french words.

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Fields inherited from interface org.apache.lucene.analysis.standard.StandardTokenizerConstants
`ACRONYM, ALPHA, ALPHANUM, APOSTROPHE, CJ, COMPANY, DEFAULT, DIGIT, EMAIL, EOF, HAS_DIGIT, HOST, KOREAN, LETTER, NOISE, NUM, P, tokenImage`

Constructor Summary
`FrenchStandardFilter(org.apache.lucene.analysis.TokenStream in)` Builds a new filter

Method Summary
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)` Sets the super.getLog().
`org.apache.lucene.analysis.Token` | `next()` Returns the next token in the stream, or null at EOS.
`void` | `setUp(org.apache.lucene.analysis.TokenStream in)` Builds a filter upon a token stream.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchStandardFilter

    public FrenchStandardFilter(org.apache.lucene.analysis.TokenStream in)

  Builds a new filter

  Parameters:
    `in` -

Method Detail

### setUp

    public void setUp(org.apache.lucene.analysis.TokenStream in)

  Builds a filter upon a token stream.

  Parameters:
    `in` - The input token stream.

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Sets the super.getLog().

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`
  Parameters:
    `logger` - The super.getLog() to use.

### next

    public org.apache.lucene.analysis.Token next()
                                          throws java.io.IOException

  Returns the next token in the stream, or null at EOS.

  Operations performed :

  - Removes 's in expressions such as l'ecole
  - Remove dots from acronyms

  Specified by:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.